#############################################################################
#
#	constants.py - Pyro global constants
#
#	This is part of "Pyro" - Python Remote Objects
#	which is (c) Irmen de Jong - irmen@users.sourceforge.net
#
#############################################################################

import util


# General Pyro Version String ####
VERSION = '2.8'

# Fixed (internal) GUIDs
INTERNAL_DAEMON_GUID=util.asc2binGUID('c0000000-01100000-10000000-10000001')

# Pyro names for the standard Services
NAMESERVER_NAME		= ":Pyro.NameServer"
EVENTSERVER_NAME	= ":Pyro.EventService"

# Pyro traceback attribute for remote exceptions
TRACEBACK_ATTRIBUTE	= "remote_stacktrace"


#### Remote Invocation Flags (bit flags) ####

RIF_Varargs  = (1<<0)		# for '*args' syntax
RIF_Keywords = (1<<1)		# for '**keywords' syntax
RIF_Oneway   = (1<<2)		# for oneway (no result) messages - currently internal use only
