#! /usr/bin/env python

# 
#  Example of Name Server security plugins.
#
#  This shows possible implementations of a NS BC request validator
#  (the one here denies all shutdown requests)
#  and a NS new connection validator (the one here just prints
#  some info of the client wanting a Pyro connection).
#
#  See the Readme.txt for more information.
#


#----- required global funcs that return validator objects ------
def BCGuard():
	return BCReqValidator()

def NSGuard():
	return NSnewConnValidator()


#----- validator object implementation --------

import Pyro.naming

# NS Broadcast Request Validator
# Must inherit from the base class as shown,
# because dispatcher code is in there.
class BCReqValidator(Pyro.naming.BCReqValidator):
	# we have:
	# self.addr = address of client (ip, port)
	# self.sock = reply socket (used by self.reply method)
	def acceptLocationCmd(self):
		print self.addr[0],'WANTS TO KNOW OUR LOCATION. Ok...'
		return 1
	def acceptShutdownCmd(self):
		print self.addr[0],'WANTS US TO SHUT DOWN, Pfff!'
		self.reply('denied!')  # send this back to client
		return 0

		
# NS Pyro Daemon newConnValidator
class NSnewConnValidator:
	def accept(self, conn):
		print conn.addr[0],'WANTS CONNECTION. Ok...'
		return (1,0)


